`timescale 1ns/1ps
module address_decoder_testbench();
	
	reg [15:0] addr;
	reg clk;
	wire rom, ram, extram, periph, rdy;


	main_address_decoder mac( .addr_bus(addr),
		.rom_cs(rom), .ram_cs(ram),
		.periph_cs(periph)
	);

	initial begin
		$dumpfile("sim/addr_decoder.lxt");
		$dumpvars(0,mac);
		clk <= 1'b0;
		addr <= 16'h0;
	end

	always 
		#5 clk = ~clk;
	
	always @(posedge clk) begin
		if(addr == 16'hFFFF) $finish;
		addr <= addr + 1;
	end
endmodule
