module output_gpio( 
	input clk,	// Clock
	input rst,	// Reset
	input [7:0] di, 	// Data input
	input oe,			// Output enable
	input we,			// Write enable
	output reg [3:0] port //Output port
);

	always @(posedge clk or negedge rst) begin
		if( ~rst ) begin
			port <= 4'd0;
		end
		else begin
			if( oe && we )
				port <= di[3:0];
		end
	end
endmodule
