/* Testbench for 65c02 microcontroller */

`timescale 1ns/1ps

module funmcu_testbench();

	// Connections 
	reg clk;
	reg rst;
	wire usart_tx;
	reg usart_rx;
	wire [3:0] led;
	
	retro_65c02_mcu mcu(
		.clkin(clk),
		.usart_tx(usart_tx),
		.usart_rx(usart_rx),
		.led(led)
	);
	
	initial begin
		$dumpfile("sim/funmcu6502_top.lxt");
		$dumpvars(0,mcu);
		clk <= 1'b0;
		rst = 1'b0;
		repeat(10) #40 clk <= ~clk;
		rst = 1'b1;
		repeat(1500959) begin
			#40 clk <= ~clk;
		end

	end

endmodule
