/* It is an uart testbench */


`timescale 1ns/1ps

module uart_testbench();

	reg clk,rst;
	wire clk_rx, clk_tx;

	usart_brr #(.N(15),.K(2416)) usart_presc( 
		.clk_in(clk), .clk_out(clk_rx), .rst(rst)
	);
	usart_tx_div usart_tx_div(.inclk(clk_rx), .rst(rst), .outclk(clk_tx) );

	initial
	begin 
		$dumpfile("sim/uart_top.lxt");
		$dumpvars(0,usart_presc);
		clk <= 1'b0;
		rst = 1'b0;
		repeat(10) #40 clk <= ~clk;
		rst = 1'b1;
		repeat(4096) begin
		#40 clk <= ~clk;
		end
	end

endmodule
